
<div align="center">
  <h1>Prisma Util</h1>
  <a href="https://www.npmjs.com/package/prisma-util"><img src="https://img.shields.io/npm/dt/prisma-util" /></a>
  <a href="https://github.com/DavidHancu/prisma-util/blob/main/CONTRIBUTING.MD"><img src="https://img.shields.io/badge/PRs-welcome-brightgreen.svg" /></a>
  <a href="https://github.com/DavidHancu/prisma-util/blob/main/LICENSE"><img src="https://img.shields.io/github/license/DavidHancu/prisma-util" /></a>
  <br />
  <br />
  <a href="#what-is-prisma-util">What is Prisma Util?</a>
  <span>&nbsp;&nbsp;•&nbsp;&nbsp;</span>
  <a href="#how-to-use">How to use?</a>
  <span>&nbsp;&nbsp;•&nbsp;&nbsp;</span>
  <a href="#links">Links</a>
  <span>&nbsp;&nbsp;•&nbsp;&nbsp;</span>
  <a href="#support">Support</a>
  
  <br />
  <hr />
</div>

## What is Prisma Util?

Prisma Util is an easy to use tool that merges multiple Prisma schema files, allows extending of models, resolves naming conflicts and provides easy access to Prisma commands and timing reports. It's mostly a plug-and-play replacement, with an easy confirguration file.

## How to Use?

    npx prisma-util [options]

The Prisma Util is built on top of Prisma, and as such all arguments and commands are the same as the ones from the [official documentation](https://www.prisma.io/docs/reference/api-reference/command-reference). The only additional parameter available is `--config` and it allows you to change the path of the config file (default: `prisma-util.config.mjs`).

## Links

Check out our API Documentation - [API Documentation](https://prisma-util.gitbook.io/prisma-util/api-documentation)

Get Started with Prisma Util - [Getting Started](https://prisma-util.gitbook.io/prisma-util/guides/getting-started)

## Support

### Create a bug report for Prisma Util

If you see an error with Prisma Util, please create a bug report [here](https://github.com/DavidHancu/prisma-util/issues/new?assignees=&labels=&template=bug_report.md&title=).

### Submit a feature request

If you want to see a new feature added to Prisma Util, please create an issue [here](https://github.com/DavidHancu/prisma-util/issues/new?assignees=&labels=&template=feature_request.md&title=).

### Contributing

Refer to our [contribution guidelines](https://github.com/DavidHancu/prisma-util/blob/main/CONTRIBUTING.MD) for information on how to contribute.
